#ifndef REALTIMEDATA_H_
#define REALTIMEDATA_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "CtlPanel1.h"

#include "Record.h"

class TRealTimeData{
	public:
		TCtlPanel1 *aPanel;
	public:
		TStaticText Caption;

		u32 Color;
	
		int TabOrder;
	
		TRect Bound;	
	
		TRect Content;
		
		unsigned char CtlIndex;
		unsigned char IsStart;
		unsigned char SendTick;
		
		unsigned char Data[12];
		unsigned char RecData[16];
		unsigned char NewIndex;
		unsigned char DrawLine;
	
		int IsShowing;
		int PrcIndex;
		int InputIndex;
		
		unsigned char Path0;
		unsigned char Path1;
		
	private:
		void SetListColWidth(int w0, int w1, int w2, int w3, int w4,int w5,int w6, int w7, int w8, int w9);
	public:
		TRealTimeData(){};
		TRealTimeData(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
	
		void SetAndShowCaption(unsigned char aType);
		
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);
		
		void Show(void);
		void ReDraw(void);
		void FullRedraw(int Prm);
		void PanelCanvasOut();
		void DrawCaption2(void);
		void ShowState();
		void DrawList();
		
		TGuiMsgReturn KeyIn(unsigned char aKey);
		
		void InitPanel();
		
		void Check4Selected(void);
		
		void SendCmd(int StartStop);
		void SendCmdAbort();
		void ResetData();
		
		void Task1000Ms();
		
		void PushOneDataReport(u8 aP0, u8 aP1, u8 aInx, u8 D0, u8 D1, u8 D2, u8 D3);
		
		int ExtRequst(unsigned char Prm);
};



#endif

